%define upstream_name	 Class-DBI-Loader
%define upstream_version 0.34

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1

Summary:	Dynamic definition of Class::DBI sub classes
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-Lingua-EN-Inflect
BuildRequires:	perl-DBI >= 0.89
BuildArch: noarch


%description
Class::DBI::Loader automate the definition of Class::DBI sub-classes.
scan table schemas and setup columns, primary key.
class names are defined by table names and namespace option.
Class::DBI::Loader supports MySQL, Postgres and SQLite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Fri Jan 21 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 28395
- mageia rebuild
- imported package perl-Class-DBI-Loader

